<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source to the Rust file `src/lib/func_help.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>func_help.rs.html -- source</title><link rel="stylesheet" type="text/css" href="../../../normalize.css"><link rel="stylesheet" type="text/css" href="../../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../../dark.css"><link rel="stylesheet" type="text/css" href="../../../light.css" id="themeStyle"><script src="../../../storage.js"></script><noscript><link rel="stylesheet" href="../../../noscript.css"></noscript><link rel="shortcut icon" href="../../../favicon.ico"><style type="text/css">#crate-search{background-image:url("../../../down-arrow.svg");}</style></head><body class="rustdoc source"><!--[if lte IE 8]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="sidebar"><div class="sidebar-menu">&#9776;</div><a href='../../../geoip_maxmind/index.html'><div class='logo-container'><img src='../../../rust-logo.png' alt='logo'></div></a></nav><div class="theme-picker"><button id="theme-picker" aria-label="Pick another theme!"><img src="../../../brush.svg" width="18" alt="Pick another theme!"></button><div id="theme-choices"></div></div><script src="../../../theme.js"></script><nav class="sub"><form class="search-form"><div class="search-container"><div><select id="crate-search"><option value="All crates">All crates</option></select><input class="search-input" name="search" disabled autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"></div><a id="settings-menu" href="../../../settings.html"><img src="../../../wheel.svg" width="18" alt="Change settings"></a></div></form></nav><section id="main" class="content"><pre class="line-numbers"><span id="1"> 1</span>
<span id="2"> 2</span>
<span id="3"> 3</span>
<span id="4"> 4</span>
<span id="5"> 5</span>
<span id="6"> 6</span>
<span id="7"> 7</span>
<span id="8"> 8</span>
<span id="9"> 9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
</pre><div class="example-wrap"><pre class="rust ">
<span class="doccomment">//! # func help</span>
<span class="doccomment">//! </span>
<span class="doccomment">//! simple mod to print error on stdout</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! </span>
<span class="doccomment">//! </span>
<span class="doccomment">//! </span>

<span class="kw">use</span> <span class="kw">crate</span>::<span class="ident">arg_parser</span>;

<span class="doccomment">/// print an error and help for the command line option</span>
<span class="doccomment">/// </span>
<span class="doccomment">/// # Arguments</span>
<span class="doccomment">///    *    `err`  - A string slice reference , which error to print in stdout</span>
<span class="doccomment">/// # Example</span>
<span class="doccomment">/// </span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// let error = &quot;This is an error&quot;;</span>
<span class="doccomment">/// print_error(&amp;error);</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// </span>
<span class="doccomment">/// </span>
<span class="kw">pub</span> <span class="kw">fn</span> <span class="ident">print_error</span>(<span class="ident">err</span> : <span class="kw-2">&amp;</span><span class="ident">str</span>){
    <span class="macro">println</span><span class="macro">!</span>(<span class="string">&quot;{}&quot;</span>,<span class="ident">err</span>);
    <span class="ident">arg_parser</span>::<span class="ident">help</span>();
}


<span class="doccomment">/// print an error </span>
<span class="doccomment">/// </span>
<span class="doccomment">/// # Arguments</span>
<span class="doccomment">///    *    `err`  - A string slice reference , which error to print in stdout</span>
<span class="doccomment">/// # Example</span>
<span class="doccomment">/// </span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// let error = &quot;This is an error&quot;;</span>
<span class="doccomment">/// print_error_no_help(&amp;error);</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// </span>
<span class="doccomment">/// </span>
<span class="kw">pub</span> <span class="kw">fn</span> <span class="ident">print_error_no_help</span>(<span class="ident">err</span> : <span class="kw-2">&amp;</span><span class="ident">str</span>){
    <span class="macro">println</span><span class="macro">!</span>(<span class="string">&quot;{} &quot;</span> , <span class="ident">err</span>);
}</pre></div>
</section><section id="search" class="content hidden"></section><section class="footer"></section><script>window.rootPath = "../../../";window.currentCrate = "geoip_maxmind";</script><script src="../../../aliases.js"></script><script src="../../../main.js"></script><script src="../../../source-script.js"></script><script src="../../../source-files.js"></script><script defer src="../../../search-index.js"></script></body></html>